%define upstream_name  Test-LectroTest
%define upstream_version 0.5001

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 3
Summary:    Easy, automatic, specification-based tests
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Struct)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
%description 
This module provides a simple (yet full featured) interface to LectroTest, an
automated, specification-based testing system for Perl. To use it, declare
properties that specify the expected behavior of your software. LectroTest then
checks your software to see whether those properties hold.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files
%doc Changes LICENSE META.yml MYMETA.yml README THANKS TODO
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.5001-3.mga4
+ Revision: 537453
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.5001-2.mga4
+ Revision: 487073
- Fix name
- update to 0.5001

* Sun Jan 13 2013 umeabot <umeabot> 0.3600-5.mga3
+ Revision: 373571
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.3600-4.mga1
+ Revision: 31263
- mageia rebuild
- imported package perl-Test-LectroTest


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3600-4mdv2010.0
+ Revision: 430598
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3600-3mdv2009.0
+ Revision: 241981
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3600-1mdv2008.0
+ Revision: 77705
- update to new version 0.3600


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.3500-1mdv2007.0
+ Revision: 88632
- Import perl-Test-LectroTest

* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.3500-1mdv2007.1
- first mdv release

